Eclipse Platform Release 3.7

## org.eclipse.debug.core
Interface IDebugEventFilter

    public interface IDebugEventFilter

An event filter allows clients to intercept debug events. Event filters are registered with the debug plug-in.

Clients may implement this interface.

Since:
  2.0
See Also:
  `DebugPlugin`

Method Summary
`DebugEvent[]` `filterDebugEvents(DebugEvent[] events)` Filters the given set of debug events, and returns the set of debug events that should be fired to registered listeners - `null` or an empty collection if no debug events should be fired.

Method Detail

### filterDebugEvents

    DebugEvent[] filterDebugEvents(DebugEvent[] events)

  Filters the given set of debug events, and returns the set of debug events that should be fired to registered listeners - `null` or an empty collection if no debug events should be fired.

  When multiple event filters are registered, events are passed through all filters. That is, the events returned from the first filter are passed through the second filter, and so on.

  Parameters:
    `events` - set of debug events to filter
  Returns:
    the set of debug events to fire

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.